const configFactory = require('../config/webpack.config');


function getConfig(webpackEnv) {
    let config = configFactory(webpackEnv);

    config.entry[0] = require.resolve('./webpackHotDevClient');
    config.optimization.splitChunks = {
        cacheGroups: {
            default: false
        }
    };

    config.optimization.runtimeChunk = false;

    return config;
}

// config.output = {
//     ...config.output,
//     filename: 'static/js/bundle.js'
// }

// config.resolve.alias = {
//     ...config.alias,
//     components: paths.aemPaths.components,
//     src: paths.appSrc,
// }

module.exports = getConfig;
